<template>
  <div class="knowledge-con">
    <div class="knowledge-list" v-for="(items,index) in knowArray">
      <div class="knowledge-tit">
        <span class="main-name">
            {{items.mainName}}
        </span>
        <span class="sub-name">
            {{items.name}}
        </span>

      </div>
      <div class="know-sub-tit">{{items.title}}</div>
      <ul class="know-icon">
        <li class="check-origin" @click="checked(index)" v-show="isChecked">查看原题</li>
        <li class="edit-icon" @click="edit(index)">编辑</li>
        <li class="del-icon" @click="deleted(index)">删除</li>
      </ul>
    </div>

  </div>

</template>

<script>
  export default {
    name: 'knowledge',
    props:{
      knowArray:{
          type:Array
      },
      isChecked:{
          type:Boolean,
         default:false
      }
    },
    data () {
      return {

      }
    },
    created(){

    },
    mounted(){

    },
    methods:{
      checked(i){

      },
      edit(i){
        this.$emit('edits',i);
      },
      deleted(i){
        this.$emit("deleted",i);
      }
    }
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
  @import "../styles/base.css";
  @import "../styles/loading.css";
</style>
